What's new

  • Vista version
  • Integrated reminder table
  • Print a picture at the top of landscape calendars
  • Acknowlege the next notification in advance
  • Two sounds or silent notifications
  • Easier blank reminder deletion


Screen

Easy Calendar Screen


Fonts

The Default Font is the Display Font when viewing the calendar on the screen and the Printer Font when printing. The program uses two fonts because modern printers have very high resolution. A raster font like MS San Serif which looks great on the screen may have rough edges in a printout. It's usually better to use a true type font when printing because they are designed to be scaled.

The Default Font includes the name and size of the font, but not its style or color. The advantage is you can set the size for the default when you change resolutions or for other reasons and all the text which is formatted in the default font will change.

The Display Font is set on the Display page of the Options dialog. It is used for Easy Calendar controls and the default font for the calendar. The font for windows controls like menus, title bars, standard dialogs and messages is set on the Control Panel Appearance page.

The Printer Font is set on the Options page of the Print Dialog. When printing, it is used as the Default Font for the calendar.

Raster fonts do not work in italics in this program. Use a true type font instead when you need italics.

see also Setting Font Properties


Multiple Users

Only one copy of the calendar can be opened for reading and writing. All others are open for read only. This is how the calendar can be shared over a network.
When you open a calendar the program checks for an existing version open for reading and writing and activates it if possible.
If you only want to view someone elses calendar over a network you should open it for read only.


Reminders

Reminders are stored in a separate file from other Easy Calendar data. Reminders are stored in the Hammer Reminders data file with the calendar file extension changed from .ec2 to .rm2. Reminders can be edited in Easy Calendar and/or Hammer Reminders.
  • Recurring reminders -. By creating a reminder that always recurs every year for birthdays, anniversaries and annual holidays, you can avoid the time consuming task of repeating text every year.
  • Custom Instances - The individual instances of recurring reminders which have multiple instances can be customized. If the instances are not connected they are customized when you edit or set the font for them using the calendar editor. You can also customize an instance of a reminder using the customize button in the Reminder Properties dialog.
  • Connected reminders - save vertical space by spreading the description across days.
  • Reminder notification - reminders can notify you before a specified time.
Important Note !
When you edit or set the font for a nonconnected recurring reminder with multiple instance dates in place using the calendar editor you create a custom reminder instance for that date.


Reminder Hierarchy


Reminders Order

Sort order for reminders:
Date (ascending)
Connected
Time (with and without)
Order Priority property
Creation Order

The Reminders Order selection on the Options page of the Reminder Properties dialog box controls whether non connected reminders with time appear before non connected reminders without time or vice versa.
The Order Priority property on the Properties Page of the Reminder Properties dialog box can be used to control the order of reminders which occur at the same date and time. Lower priority appears before higher priority.


Connected Reminders

Connected reminders save space by spreading the description across days on a single line instead of repeating the description every day possibly using multiple lines. The connected reminder description is connected by lines and has arrows which appear on the first and last day.

Requirements for connected reminders:
  • Frequency must be every day
  • Must have an end date
  • No start or end time
  • Must not overlap another connected reminder
  • Must have no custom instances

If a reminder meets all the requirements, you can connect it using the Connect check box which appears to the right of the Every drop down list box.

The full description of a connected reminder is always displayed in the currently selected calendar day.


CustomReminders

Custom Instances

A custom instance is an exception to the rule for a recurring reminder. There are two ways to create custom instances in Easy Calendar.
If a reminder is not connected and has multiple instance dates, the reminder is always customized when you edit or set the font for the reminder using the calendar editor instead of the Reminder Properties dialog.
Another way is using the Customize button in the Reminder Properties dialog.
When you delete an instance of a reminder which has multiple instances in the calendar, a custom instance is created and its hidden property is set to true. Hidden reminder instances are not visible in the calendar, they are optionally visible in Reminder table..

Important Note !
When you edit or set the font for a nonconnected recurring reminder with multiple instance dates in place using the calendar editor you create a custom reminder instance for that date.


Reminder Notification

When Easy Calendar is running, you can be notified on or before the starting time of a reminder.
The notification occurs by bringing a dialog box to the front of the program with the reminder description(s) and optionally playing a sound.

Important Note:
Reminder notification uses the system clock, therefore the system clock must be set for reminder notification.

Notification is acknowleged by checking the box to the left of the reminder description. The dialog box can be closed without acknowleging but will reopen if renotification is enabled after the renotification delay.

The options pertaining to notification can be found on the Options page of the Reminder Properties dialog and the Reminders Page of the Options dialog..

Renotification Option
Option | Description
Renotify Enabled | Enables renotification.
Every _ minutes | Number of minutes between renotifications

There are two notification sounds available.

Notification Sound Option
Option | Description
No Sound | Doesn't play a sound on notification
Default Sound | Plays the MIDI file warning.mid on notification
User Selected Sound | The Select button appears, click it to choose a .wav (windows digital audio) or .mid file ( MIDI) which will be played on notification. If the "Media Control Interface" can play mp3s on your system, you can also use mp3s.
Beep | System call which makes a sound. May work without a sound card or when other options don't work.

Hold down the Test button to determine if your notification sound is working,

Important Note:
The reminder notification sound opens and plays the default or selected sound file at a high level thru the "Media Control Interface", therefore the media control interface must be configured to play the desired sound file. The default file is a MIDI file, but you can select a .wav or another .mid file or possible an mp3 file.
You will not here a sound if:
  • Your computer is not configured to play the selected sound.
  • Volume is muted or too low on your computer.
  • Volume for the type of sound you are playing is muted or too low on your computer.
  • The device used to play the type of of sound you selected is busy playing the sounds of another program.


HammerReminders

Reminder Table

Selecting Reminder Table in the Reminders Menu will bring up the Reminder Table window. It is not a dialog and the changes that are made which are not invalid are accepted. They may be undone however. The rows of the table represent reminders. The columns represent a property of the reminder. Most of the properties of a reminder can be edited using the controls in the columns of the table.

The top toolbar has button with can be clicked to execute the basic commands to manipulate the reminder table. They are all self explanitory except the group command. For custom reminders, or standard reminders which have custom reminders, the Group button displays the standard reminder and all corresponding custom reminders. For completeness

Button | Description
New | Invokes the reminder dialog to create a new reminder.
Print | Prints the current range of reminders. see below
Undo | Reverses the last change made to the reminder.
Edit | Edits the properties of the current reminder.
Delete | Deletes the current reminder
Hidden | Hides or shows hidden reminders
Group | Show a "group" of reminders instead of the reminder range. see above
Help | Displays this help topic.

The second toolbar controls the range of reminders in the table when group is not selected.Range type are

Current | The number of days spinner on the right controls the number of days in the future to display. Pending reminders are shown in this view.
Today's | Today's reminders are displayed. Pending reminders are shown in this view.
Date Range | The reminders within a range of dates specified by the date pickers is displayed. Pending reminders are not shown.
All | A single instance of all reminders is shown. For recurring reminders the next instance is displayed.

In the Range types except for All, the From and To Date pickers can be used to set the date range.


Navigating in the Calendar

The currently selected calendar day has a focus rectangle (dotted line) around it. There is a flashing caret (thin vertical line) indicating the position where edit operations such as inserting text will occur.
Select the desired day by positioning the mouse cursor (usually a tall curvy captial I) over it and clicking (usually press and releasing a button on the left side of the mouse).
Use the Tab key (default keyboard shortcut) to select the next day and the Shift-Tab key (default keyboard shortcut) to select the previous day.
Month, day and year navigation controls are displayed on the toolbar.
The big arrows on the toolbar select the previous and next month. Click the box with the month name to pop down a list of months and select the month by name.
Click the small arrows to the right of the day display to change days.
Click the small arrows to the right of the year display to change years.
The Go To Menu contains navigation commands.


Editing the Calendar

Type the desired text for the selected day using the keyboard. The text is automatically left justified and wrapped, so don't enter a return until a new paragraph is desired.
The edit window scrolls when the text is too large to fit. Use the up arrow and down arrow (default shortcuts) to scroll the window.
The default shortcuts for left arrow, right arrow, delete and backspace keys work in the usual manner.


Backing up the Calendar

  1. Select the Save As command.
  2. Select a backup folder from the Save Calendar As dialog. Preferably choose a folder on removable media such as diskettes, writable compact disk or tape.
  3. Click the Save button.


Printing the Calendar

  1. Issue the Print Command. The print dialog box is displayed. Most of the steps are optional. Skip to step 16 to accept the default options for printing.
  2. Select a different printer and/or printer specific options if desired by clicking the Setup button.
  3. Change the Date Range if desired. The date range is automatically initialized according to the Calendar View Mode. The date range is inclusive. How the date range is interpreted depends upon the type of step 6. For Month type calendars it means the month which includes the from date to the month which includes the to date. For Week type calendars it means the week which includes the from date to the week which includes the to date.
  4. Change the number of copies if desired.
  5. Select the Options page of the print dialog by clicking the Options tab.
  6. Change the type of calendar to print: Month, Week or Day. The type of calendar is initialized according to the current view type.
  7. Change the Border Color if desired.
  8. Set the Text Color when the window text color used in the calendar is unsuitable for printing.
  9. Click the Appearance button to change the appearance of the printed calendar if desired.
  10. For Month type, check Blank Days Outside Month and/or Blank Calendar as desired. For Week or Day type, check New Page Every Week or Day as desired.
  11. Change the Printer Font face and size if desired. The printer font is used as the Calendar Default font when printing.
  12. Select the Page page of the Print dialog by selecting the Page tab.
  13. Change the margins if desired. Or click the Minimum button to set the margins to the minimum values for the currently selected printer. The margin values are in inches. If an entered margin is less than the minimum margin then the minimum margin will substituted in the actual printout to prevent "cutting off" parts of the printout.
  14. Select Portrait or Landscape orientation as desired. Portrait is normal, i.e. the short dimension is horizontal and the long dimension is vertical. Landscape is sideways - vice versa.
  15. Enter a heading if desired or selected the Clear button for no heading.
  16. If you selected Portrait orientation, you can select a picture to be displayed at the top of the calendar. For best results, the picture should have an aspect ratio of about 3 to 2 or be 1.5 times as wide as it is long.
  17. Click the OK button to print or the Preview button to Preview.


SelecttheViewType

Selecting the View Type

The view types are Month, Week and Day.
Use the View Menu, Keyboard Shortcuts or Toolbar to select the desired view type.
The Month type divides the calendar into equal rectangles for all the days.
The Week type minimizes the height of the days in weeks outside the current week and maximizes the height of days in the current week.
The Day type maximizes the height and width for the currently selected day and minimizes the height and width of the other days.


Selecting a Range of Text

  1. Move the mouse cursor (usually a vertical bar which looks like a thin capital I) to the start of the range of text.
  2. Depress and hold down the left mouse button.
  3. Move the mouse cursor to the end of the range of text. (The selected range of text will appear reversed in color from the original text).
  4. Release the left mouse button.

Another way to select text, if you hold down the shift key, the Go To commands which are local to the currently selected date (like character right and character left) change the selected range according to the new caret position. Go To commands clear the selected text without deleting it unless you hold down the shift key.

When a range of text is selected, some edit commands delete it before they are executed.

When a range of text is selected the copy and cut commands operate upon the selected range of text.


Repeating Text in the Calendar

  1. Select a range of text. If you don't select a range of text, you can use the repeat commands to move to the locations corresponding to the repeat frequency.
  2. Select the desired repeat frequency in the Repeat Submenu of Edit Menu. (Or using keyboard shortcuts)
  • Weekly
  • Biweekly
  • Monthly
  • Month Relative
  • Yearly
  • Year Relative

Select the Repeat Again command to repeat again with the same frequency.


Selecting the Display Font

The display font is used for Easy Calendar controls and as the Calendar Default font when viewing the calendar on the screen. It does not apply to windows standard controls, dialogs, title bars, menus etc. The appearance for windows controls is set using the Control Panel Display Appearance page.

  1. In the Options Menu, select Display.
  2. Choose the desired font face from the drop down list labelled Name in the Display Font group.
  3. Enter or edit the desired font size with the spinner labelled Size in the Display Font group.
  4. Click OK to accept the changes.


Copying a date to the clipboard

  1. Select the desired date
  2. Right click the current date box in the toolbar.
  3. Click Copy date to clipboard long format, Copy date to clipboard short format, Copy date to clipboard custom format or Edit custom format.
  4. If you choose Edit custom format, the Custom Date Format dialog box should appear. Enter the desired custom date format in the edit window near the top of the Custom Date Format dialog box. The result of the conversion is displayed in the Result window. The instructions for the meaning of the characters is contained in the large window in the middle of the dialog.


Using the Color Button

Custom color buttons are used to set colors.
Click the left side of a color button to set the color using the standard color dialog box.
Click the arrow at right side of a color button to set the color from a list of standard system colors associated with the Control Panel Display Appearance page. You can use these colors to set the calendar appearance to blend in with the current appearance scheme for the system.
When a standard system color is the selected color, the arrow at the right side of the color button appears highlighted.


Setting the Calendar Appearance

  1. Issue the Screen Appearance or Printer Appearance command. The Options dialog is displayed starting on the Appearance page with the corresponding Screen/Printer tab selected.
  2. Select Screen or Printer as desired using the tabs near the top of the page.
  3. Most of the appearance items can be selected by clicking the areas of the calendar graphic. The currently selected item has a focus (dotted line) polygon around it. The graphic represents the current day as the fifteenth of the month when not setting selected date appearance.
  4. The currently selected item is displayed in the Item box above the calendar graphic. The item box can be used to change items and to select items which are not reflected in the appearance graphic. The Border, Background Color, Font, Whole Day and Omit controls apply to the currently selected item. Not all controls are available for all items.
  5. Set the Item specific controls as desired. The new appearance is usually reflected in the calendar appearance graphic shortly after the controls are changed.
  6. The Omit control should be checked to omit weekends and/or days outside the month from the appearance scheme. These day types revert to Before and After day appearance item types when they are omitted.
  7. You can load and save an the appearance options to a file using the Load and Save buttons.
  8. For printer appearance, you can copy the screen appearance to the printer appearance using the button.
  9. Click OK to accept the changes in appearance.


Setting Selected Date Appearance

  1. Select the date in the calendar.
  2. Issue the Selected Date Appearance command. The Options dialog is displayed starting on the Appearance page, Screen Tab with Selected Date item selected.
  3. If you want to set the selected date appearance for the printer, click the Printer Tab.
  4. Check the Enable Box, to enable custom appearance for the selected date.
  5. Set the Border, Background, Font ... properties as desired. They should be reflected on selected date a short time later.
  6. On the Screen Tab, a >Printer button is available to copy the selected date appearance for the screen to the printer. On the Printer Tab a >Screen button is available to copy the selected date appearance for the printer to the screen if desired.
  7. Repeat steps 3-6 if desired to set selected date appearance for the other output.
  8. Click OK to accept the changes.


Customizing the Command Interface

  1. Issue the Command Options command. The Options dialog will appear starting on the Commands page.
  2. Select the command to customize from the list of commands. The selected command will appear in the window labelled Selected Command.
  3. To change the keyboard shortcut, select the window labelled Shortcut and enter the desired key combination. To tab out of the window press Esc, then Tab. To use Esc as a keyboard shortcut hit Esc twice. To clear a shortcut click the Shift or Alt keys without an associated key. The program tries to detect explicit and implicit conflicts in the shortcuts and displays "CONFLICT" next to the shortcut in the command list when it finds them.
Important Note: This is by far the most advanced option in the program. Be careful when changing keyboard shortcuts! The choice of key combination should not conflict with any other shortcut. If it does, only the first shortcut in the menu will be executed. If you use right arrow key to execute the Next Day command, you cannot also use it to execute the Character Right command. The key combination should not conflict with keys normally associated with entering text into an edit window. If you make a shortcut the letter "A". You will not be able to enter "A" into the calendar. The F1 function key is automatically associated with context sensitive help. Using it as a shortcut may yield unexpected results.
  1. To hide a command in the main menu, check Hidden. To show a command in the main menu, clear Hidden.
  2. To add a command to the popup menu for the calendar window, check Popup. To remove a command from the popup menu, clear Popup.
  3. Click the Load button to load the command interface from a file.
  4. Click the Save button to save the command interface to a file.
  5. Click the Report button to create a report of the command interface. You can print this report as a reference to a set of custom keyboard shortcuts. You will need to print the report in landscape mode.
  6. Click the Default button to restore the default settings for the all the command options.
  7. Click OK to accept the changes.


Creating Custom User Commands

  1. Issue the User Command Options command. The Options dialog is displayed starting with the User Command Page.
  2. Select a command number from the tabs at the top of the page. The first five user commands also appear as buttons on the Format Bar.
  3. Enter a description if desired in the window labelled Description.
  4. Click the Select button to choose a graphic for the command, if desired. The graphic should be an icon or a small windows bitmap since it will be sized to fit on the Format toolbar.
  5. Click the Add button to add a command. The Command dialog is displayed.
  6. A list of available commands appears in the list at the left of the Command dialog. Select the command to add from the list. The name of the selected command appears in the window labelled Selected Command.
  7. You can filter the list of commands by selected one of the command types from the drop down list labelled Command Type.
  8. Some font commands have additional options. If so, they appear just beneath the Selected command window. The Set Font Properties and Set Font Color commands allow you to choose to enter there values in advance or display the dialogs when the user commands are executed. You can also enter the font name, size and style individually from this dialog.
  9. Click OK to add the selected command to the user command.
  10. Add, Edit, Delete, Move Up and Move Down commands for the current user command using the buttons as desired. The commands are executed in order from top to bottom.
  11. Click OK to accept the changes.


Setting Font Properties

  1. If you want to modify the font properties of existing text begin by selecting a range of text. If you want to set font properties for the text about to be entered, position the caret at the desired insertion point with no range of text selected.
  2. Issue the Set Font Properties command. The standard font dialog box will appear.
  3. Set the font properties as desired.
  4. Click the OK button.


SettingtheCalendarDefaultFont

Setting the Font to the Calendar Default

  1. If you want to modify the font properties of existing text begin by selecting a range of text. If you want to set font properties for the text about to be entered, position the caret at the desired insertion point with no range of text selected.
  2. Issue the Set Font to Calendar Default command or select Calendar Default, the last item in the font face drop down list at the left side of the Format Bar.

The calendar default font uses the name and size of the display font when viewing the calendar on the screen. It uses the name and size of the printer font when printing.


Setting the Font Name

  1. If you want to modify the font properties of existing text begin by selecting a range of text. If you want to set font properties for the text about to be entered, position the caret at the desired insertion point with no range of text selected.
  2. Select the desired font name from the drop down list of font names at the left side of the Format Bar.

see also Format Bar, Set Font Name Command


Setting the Font Size

  1. If you want to modify the font properties of existing text begin by selecting a range of text. If you want to set font properties for the text about to be entered, position the caret at the desired insertion point with no range of text selected.
  2. Click the font size spinner up or down arrow on the Format Bar to set an entire range to a single size.
or
  1. Issue the Increase Font Size or Decrease Font Size commands to increase the or decrease the existing sizes for a range of text.


Changing the Font Style

  1. If you want to modify the font properties of existing text begin by selecting a range of text. If you want to set font properties for the text about to be entered, position the caret at the desired insertion point with no range of text selected.
  2. Toggle a font style using the Font Menu Bold, Italic and/or Underline commands or using the Format Bar B, I or U buttons.


Setting the Font Color

  1. If you want to modify the font properties of existing text begin by selecting a range of text. If you want to set font properties for the text about to be entered, position the caret at the desired insertion point with no range of text selected.
  2. To set the font color from the standard dialog click the left side of the color button on the Format Bar or issue the Set Font Color command.
or
  1. To set the font color from a menu of system colors, click the right side of the color button on the Format Bar.


Enabling View Reminders

To view reminders in the calendar, View Reminders must be checked in the View Menu.
  1. Click the View Menu
  2. If there is not checkmark by Reminders at the bottom of the menu, click Reminders.


CreateaNewReminder

Creating a New Reminder

  1. If you want to convert existing non reminder text to a reminder, select the desired range text in the calendar, otherwise don't select a range of text.
  2. Issue the New Reminder command.
  3. Enter a Description for the reminder.
  4. Select a font, if desired, using the Font button and/or a color using the color button (just below the font button).
  5. Select a starting date for the reminder using the Date selector.
  6. If you want to use the Starting Time features of reminders, check the starting time check box at the left of the starting time window. Enter the time using the arrow and number keys. Starting time features are notification and sort by time.
  7. You can also check and enter an Ending Time. There are no program features associated with ending time.
  8. Order priority is used for sorting. Reminders with time and without time are sorted first in time order then order priority is used to sort reminders.
  9. Check Show Pending to show a reminder in the Current and Today's Reminder View Types when its date and time are before current date.
  10. If you selected a range of text before the New Reminder command, Check Replace Selected Text if you want to convert the text to a reminder.
  11. If you entered a Starting Time, you can enable Notification for the reminder. Set the minutes before starting time to appropriate value.
  12. Click the Recurring tab near the top of the dialog box to access the recurring properties of the reminder.
  13. Enter the recurring properties of the reminder as desired
  14. Click OK to accept the new reminder


Creating an Annual Reminder

  1. Click on a line with the desired annual reminder text or enter it. The text cannot already be a reminder. You don't need to select a range of text, the whole paragraph will be converted.
  2. Click the Reminder Menu
  3. Click Annual Reminder

see also Annual Reminder Command


Creating a Weekly Reminder

  1. Click on a line with the desired weekly reminder text or enter it. The text cannot already be a reminder. You don't need to select a range of text, the whole paragraph will be converted.
  2. Click the Reminder Menu
  3. Click Weekly Reminder

see also Weekly Reminder Command


Creating a Connected Reminder

  1. Click on a line with the desired connected reminder text or enter it. The text cannot already be a reminder. You don't need to select a range of text, the whole paragraph will be converted. Connected reminders cannot overlap so select a start date which does not already contain a connected reminder.
  2. Click the Reminder Menu
  3. Click Connected Reminder
  4. The New Reminder dialog should appear with the Recurring page selected. Select the until date from the pop up calendar using the down arrow of the Until date selection box.

see also Connected Reminder Command


EditingReminderPropertiesusingadialog

Editing Reminder Properties (using the dialog)

  1. Choose the desired reminder instance.
  2. Select the Reminder Properties command. The Reminder Properties dialog is displayed starting on the properties page. If the reminder instance has been customized, Custom and Standard tabs appear on the properties page. If the reminder instance has not been customized, The Customize button appears when appropriate.
  3. Select and edit the desired properties. Click the Recurring tab to edit the recurring properties.
  4. Click the OK button to accept the changes.


Editing Reminder Properties (in the calendar)

You can edit the description, font, starting time enabled and ending time enabled properties or set the hidden property for a single instance date of a reminder by editing the reminder like any other text in the calendar.

Use the same editing and font commands used for editing text.
Setting the font for any part of a reminder sets the font for the entire reminder.

Important Note !
When you edit or set the font for a nonconnected recurring reminder with multiple instance dates in place using the calendar editor you create a custom reminder instance for that date.

To set the hidden property for an instance of a reminder with multiple instances select the entire reminder instance including at least the beginning of the next line or end of the prior line followed by the Delete Command (or any command which deletes the selected range of text before the command executes). If a reminder has a single instance date, deleting edit action will delete it.

Use the Reminder Table option to clear the hidden flag once the undo is unavailable.


Deleting a Reminder

  1. Click anywhere in the reminder you want to delete.
  2. Click the Reminder Menu
  3. Click Delete Reminder
  4. If the reminder is a custom reminder, it reverts to the standard reminder. If the reminders is a standard reminder with custom instances a dialog box appears to allow you to keep any of the custom instances.
  5. Check the custom instances you want to keep
  6. Click OK

see also Delete Reminder command


Using the Time Edit Box

The Time Edit box has a checkbox at the left and the time to the right.
  1. Check the box to enable the time.
  2. Select the part of the time you want to edit using right and left arrow keys or the mouse.
  3. Enter the part of the time desired using number keys for number parts of time and letter keys if the part of the time uses letters. Oddly, the time edit box returns to the checkbox when the up and down buttons and up and down keys are used rendering them practically useless.
  4. Repeat steps 2 and 3 for each part of the time.


Using a Date Selector

Date selectors are used when dates are required in Hammer Reminders. Select the date using a pop down calendar:
  1. Click the down arrow at the right side of the date selector.
  2. Use the mouse to change months by clicking the next and previous month buttons and/or click the desired date or use arrow keys, page up and/or page down to select the desired date.

Or use the keyboard to edit a date selector directly in the window.
  1. Use the left and right arrow to choose the part of the date you want to edit.
  2. Use the up and down arrows to increment and decrement the currently selected part of the date. When numeric entry is available, use numeric keys to enter the number for the currently selected part of the date.
  3. Repeat steps one and two for each part of the date.


File Menu

Command | Description
New | Opens a new empty calendar.
Open | Opens an existing calendar.
Reopen Menu | Select from a list of recently used calendars.
Reopen Default Calendar | Reopen the default calendar.
Save | Save the calendar.
Save As | Backup or save the calendar with a new name and/or in a new folder.
Export to HTML | Export the calendar to the file format commonly used on the internet.
Print | Print the calendar
Print Setup | Select a printer and/or set printer specific options
Exit | Exit the Easy Calendar Application.


New

New Command

The New command is used to create a new empty calendar. The name and location is required and should be entered in the standard dialog box which is displayed.

Default Keyboard Shortcut : Ctrl-N
see also File Menu, Keyboard Shortcuts, Toolbar


Open

Open Command

The Open command is used to open an existing calendar file. Enter or select the location of the file to open in the standard dialog box which is displayed.

Default Keyboard Shortcut : Ctrl+O
see also File Menu, Keyboard Shortcuts, Toolbar


Reopen Default Calendar

Reopen Default Calendar Command

The Reopen Default Calendar command is used to reopen the default calendar. The default calendar is named calendar.ec2. It may be located in the My Documents folder, the same folder as the Easy Calendar program or you may define your own default calendar.

see also File Menu, Default File Options Command


Save

Save Command

The Save command saves and packs the current calendar.

see also File Menu


Save As

Save As Command

The Save As command displays a nonstandard save dialog for you to choose a folder and/or filename to save the calendar.

Check the Open Calendar box when you want to open the calendar in its new location instead of continuing to edit the current calendar.

If you click the Save button, the program saves the calendar at its current location and packs the calendar with a new file name and/or in a new folder. It also copies the associated reminders and reminders archive files to the new folder and/or new filename.

see also Backing up the Calendar

Default Keyboard Shortcut : Ctrl+S
see also File Menu, Keyboard Shortcuts, Toolbar


Refresh Command

The Refresh command is available in the File Menu when the calendar is read only. It is used to update the calendar when changes are made by another user of the calendar. Refreshing the calendar can also be accomplished by changing months.


Export to HTML

Export to HTML Command

The Export to HTML command exports the calendar to the hypertext markup language. This file format is commonly used on the internet.
A File Save dialog is displayed. In addition to selecting a folder and entering a filename, you can choose to use either the Screen or Printer appearance. The background colors are always for the entire day and the border type is ignored when exporting the appearance to the html.

see also File Menu


Print

Print Command

The Print command is used to print the calendar. When the print command is selected the Print Dialog is displayed.

Default Keyboard Shortcut : Ctrl+P
see also Printing the Calendar, File Menu, Keyboard Shortcuts, Toolbar


Print Setup

Print Setup Command

The Print Setup command is used to select a printer, set some options for printing and set printer specific options for printing.

see also File Menu


Exit

Exit Command

The Exit command exits the Easy Calendar program. The calendar is automatically saved.

see also File Menu


Edit Menu

Command | Description
Undo | Reverses the action of the previous command.
Cut | Copies the selected text to the clipboard and deletes it.
Copy | Copies the selected text to the clipboard.
Paste | Pastes copies the clipboard text into the calendar.
Delete | Deletes selected text or next character.
Backspace | Deletes selected text or the previous character.
Select All | Select all the text for the current day.
Select Paragraph | Select the current paragraph.
Select Line | Select the current line.
Select Word | Select the current word.
Repeat Weekly | Repeat selected text one week later.
Repeat Biweekly | Repeat selected text two weeks later.
Repeat Monthly | Repeat selected text one month later.
Repeat Month Relative | Repeat selected text on the same week number and day of the week next month.
Repeat Yearly | Repeat selected text one year later.
Repeat Year Relative | Repeat selected text on the same week number and day of the week next year.
Repeat Again | Execute last repeat command again.


Undo

Undo Command

The Undo command reverses the action of the previous command. The name of the command appended to undo in the edit menu.

Default Keyboard Shortcut : Ctrl+Z
see also Edit Menu, Keyboard Shortcuts


Cut

Cut Command

The Cut command copies the selected text to the clipboard and deletes it from the calendar.

Default Keyboard Shortcut : Ctrl+X
see also Edit Menu, Keyboard Shortcuts


Copy

Copy Command

The Copy command copies the selected text to the clipboard.

Default Keyboard Shortcut : Ctrl+C
see also Edit Menu, Keyboard Shortcuts


Paste

Paste Command

The Paste command copies the clipboard contents into the calendar at the current cursor location.
If a range of text is selected when the paste command is issued, the text is deleted before the clipboard text is pasted into the calendar.

Default Keyboard Shortcut : Ctrl+V
see also Edit Menu, Keyboard Shortcuts


Delete

Delete Command

The Delete command deletes the character to the right of the caret (a flashing vertical line) when no range of text is selected.
When a range of text is selected, it deletes the range of text.

Default Keyboard Shortcut : Del
see also Edit Menu, Keyboard Shortcuts


Backspace

Backspace Command

The Backspace command deletes the character to the left of the caret (a flashing vertical line) when no text range is selected.
If a text range is selected it deletes the range of text.

Default Keyboard Shortcut : BkSp
see also Edit Menu, Keyboard Shortcuts


Select All

Select All Command

The Select All command selects all the text for the current calendar day.

Default Keyboard Shortcut : Ctrl+A
see also Edit Menu, Keyboard Shortcuts


Select Paragraph

Select Paragraph Command

The Select Paragraph command selects the current paragraph of text.

Default Keyboard Shortcut : Alt+P
see also Edit Menu, Keyboard Shortcuts


Select Line

Select Line Command

The Select Line command selects the current line of text.

Default Keyboard Shortcut : Ctrl+L
see also Edit Menu, Keyboard Shortcuts


Select Word

Select Word Command

The Select Word command selects the current word.

Default Shortcut : Double Click

see also Edit Menu


Repeat Weekly

Repeat Weekly Command

The Repeat Weekly command repeats the currently selected text one week later.

Default Keyboard Shortcut : Alt+W
see also Edit Menu, Keyboard Shortcuts


Repeat Biweekly

Repeat Biweekly Command

The Repeat Biweekly command repeats the selected text two weeks later.

Default Keyboard Shortcut : Alt+B
see also Edit Menu, Keyboard Shortcuts


Repeat Monthly

Repeat Monthly Command

The Repeat Monthly command repeats the selected text on the same day number of the next month.

Default Keyboard Shortcut : Alt+M
see also Edit Menu, Keyboard Shortcuts


Repeat Month Relative

Repeat Month Relative Command

The Repeat Month Relative command repeats the selected text on the same day of the week in the same week number of the next month.

see also Edit Menu


Repeat Yearly

Repeat Yearly Command

The Repeat Yearly command repeats the selected text one year later.

Default Keyboard Shortcut : Alt+Y
see also Edit Menu, Keyboard Shortcuts


Repeat Year Relative

Repeat Year Relative Command

The Repeat Year Relative command repeats the selected text on the same day of the week in the same week number of the same month of the next year. For example, the Supreme Court meets on the first monday in October.

see also Edit Menu


Repeat Again

Repeat Again Command

The Repeat Again command runs the last repeat command again. The repeat again command defaults to repeat weekly.

Default Keyboard Shortcut : Alt+A
see also Edit Menu, Keyboard Shortcuts, Toolbar


Reminders Menu

Command | Description
New Reminder | Invokes the reminder dialog to create a new reminder.
Reminder Properties | Invokes the reminder dialog to edit the properties of the currently selected reminder.
Acknowlege | Preacknowleges the notification for a reminders so the the next notification is skipped.
Annual Reminder | Creates a new annual reminder.
Weekly Reminder | Creates a new weekly reminder.
Connected Reminder | Invokes the new reminder dialog with the starting point and text initialized.
Delete Reminder | Deletes the currently selected reminder.
Reminder Table | Shows the reminder table to view and edit reminders in a table format.


New Reminder Command

The New Reminder command opens the Reminder Properties dialog box to create a new reminder.

Default Keyboard Shortcut : Alt+R
see also Edit Menu, Keyboard Shortcuts, Toolbar


EditReminderPropertiesCommand

Reminder Properties Command

When a reminder is selected, opens the Reminder Properties dialog box to edit reminder properties.

Default Keyboard Shortcut : Ctrl+E
see also Edit Menu, Keyboard Shortcuts, Toolbar


Acknowlege Command

For a reminder with notification enabled. The Acknowlege Command clears the next occurrence of the notification. That is the next time it is schedule to notify it will not.


Annual Reminder Command

When on a paragraph which is not a reminder, selects the paragraph and converts it to an annual reminder.

see also Creating an Annual Reminder, Reminder Menu


Weekly Reminder Command

When on a paragraph which is not a reminder, selects the paragraph and converts it to an weekly reminder.

see also Creating a Weekly Reminder, Reminder Menu


Connected Reminder Command

When on a paragraph which is not a reminder, selects the paragraph and converts it to an connected reminder. The Reminder Properties dialog is invoked and at least an end date is required for a connected reminder. The connected reminder must still meet all the requirements of a connected reminder.

see also Creating a Connected Reminder, Connected Reminders , Edit Menu


Delete Reminder

Deletes the currently selected reminder. If it is a custom instance, the reminder reverts to the standard instance. If it is a standard reminder with custom instances, a dialog box allows you to select the custom instances you want to keep.

see also Deleting a Reminder, Edit Menu


Reminder Table

The Reminder Table command opens the reminder table window.

see also Reminder Table


Search Menu

Command | Description
Find | Find text in the calendar.
Find again | Repeat the last find operation.
Replace | Replace text in the calendar
Replace again | Repeat the last replace operation.


Execute Find Dialog

Execute Find Dialog Command

The Execute Find Dialog command displays the Find dialog box to find text in the calendar. The options are standard except the Skip Reminders option.

Default Keyboard Shortcut : Ctrl+F
see also Search Menu, Keyboard Shortcuts, Toolbar


Find Again

Find Again Command

The Find Again command repeat the last find command.

Default Keyboard Shortcut : F3
see also Search Menu, Keyboard Shortcuts


Execute Replace Dialog

Execute Replace Dialog Command

The Execute Replace Dialog command displays the Replace Dialog box to replace text in the calendar. The options are standard except the Skip Reminders option.

Default Keyboard Shortcut : Ctrl+R
see also Search Menu, Keyboard Shortcuts


Replace Again

Replace Again Command

The Replace Again command repeats the last replacement command.

Default Keyboard Shortcut : F4
see also Search Menu, Keyboard Shortcuts


View Menu

Command | Description
Toggle Month <-> Day | Switches between Month and Day views.
Month | Days have equal sizes.
Week | Days in the currently selected week are taller.
Day | The currently selected day is maximized in height and width.
Toolbar | Show/Hide the toolbar.
Format Bar | Show/Hide the format bar.
Scrollbar | Show/Hide the scrollbar. The scrollbar automatically hides itself if all the text fits in the edit window.
Reminders | Show/Hide reminders from the associated reminders data file.


ToggleMonthDay

Toggle Month <-> Day Command

This Toggle Month <-> Day command sets the view to Month if the current view is Day, otherwise it sets the view to Day.

Default Keyboard Shortcut : F5
see also View Menu, Keyboard Shortcuts


View Month

View Month Command

The View Month command divides the calendar into equal rectangles for all the days.

Default Keyboard Shortcut : Ctrl+M
see also View Menu, Keyboard Shortcuts, Toolbar


View Week

View Week Command

The View Week command minimizes the height of the days in weeks outside the current week and maximized the height of days in the current week.

Default Keyboard Shortcut : Ctrl+W
see also View Menu, Keyboard Shortcuts, Toolbar


View Day

View Day Command

The View Day command maximizes the height and width for the currently selected day and minimizes the height and width of the other days.

Default Keyboard Shortcut : Ctrl+D
see also View Menu, Keyboard Shortcuts, Toolbar


View Toolbar

View Toolbar Command

The View Toolbar command shows the toolbar when checked and hides it when unchecked.

see also View Menu


View Format Bar

View Format Bar Command

The View Format Bar command shows the Format Bar when checked and hides it when unchecked.

see also View Menu


View Scrollbar Command

The View Scrollbar command shows a scrollbar when checked and the data for the currently selected day is too large to fit in the edit window.
The scrollbar is hidden when unchecked.

see also View Menu


View Reminders Command

Reminders from the associated reminder file are displayed in the calendar when checked.
When unchecked reminders are not displayed.

see also View Menu


Go To Menu

Command | Description
Today | The current calendar date as reported by the system.
Previous Day | The day before the currently selected calendar day.
Next Day | The day after the currently selected calendar day.
Previous Month | The month before the current selected calendar month.
Next Month | The month after the currently selected calendar month.
Previous Year | The year before the currently selected calendar year.
Next Year | The year after the currently selected calendar year.
Character Left | Move one character left.
Character Right | Move one character right.
Line Up | Move one line up.
Line Down | Move one line down.
Start of Day | Go to the start of the currently selected day.
End of Day | Go to the end of the current day.
Start of Paragraph | Go to the start of the currently selected paragraph.
End of Paragraph | Go to the end of the currently selected paragraph.
Start of Line | Go to the start of the currently selected line.
End of Line | Go to the end of the currently selected line.


Today

Today Command

The Today command goes to the current date as reported by the system.

Default Keyboard Shortcut : Ctrl+Alt+Home
see also Go To Menu, Keyboard Shortcuts


Previous Day

Previous Day Command

The Previous Day command goes to the day before the currently selected calendar day.

Default Keyboard Shortcut : Shift+Tab
see also Go To Menu, Keyboard Shortcuts, Toolbar


Next Day

Next Day Command

The Next Day command goes to the day after the currently selected calendar day.

Default Keyboard Shortcut : Tab
see also Go To Menu, Keyboard Shortcuts, Toolbar


Previous Month

Previous Month Command

The Previous Month command goes to the month before the currently selected calendar month.

Default Keyboard Shortcut : PgUp
see also Go To Menu, Keyboard Shortcuts, Toolbar


Next Month

Next Month Command

The Next Month command goes to the month after the currently selected calendar month.

Default Keyboard Shortcut : PgDn
see also Go To Menu, Keyboard Shortcuts, Toolbar


Previous Year

Previous Year Command

The Previous Year command goes to the year before the currently selected calendar year.

Default Keyboard Shortcut : Shift+PgUp
see also Go To Menu, Keyboard Shortcuts, Toolbar


Next Year

Next Year Command

The Next Year command goes to the year after the currently selected calendar year.

Default Keyboard Shortcut : Shift+PgDn
see also Go To Menu, Keyboard Shortcuts, Toolbar


Character Left

Character Left Command

The Character Left command moves one character left in the currently selected calendar day.

Default Keyboard Shortcut : Left
see also Go To Menu, Keyboard Shortcuts


Character Right

Character Right Command

The Character Right command moves one character right in the currently selected calendar day.

Default Keyboard Shortcut : Right
see also Go To Menu, Keyboard Shortcuts


Line Up

Line Up Command

The Line Up command moves one line up in the current calendar day. If necessary it scrolls the window so that the line is visible.

Default Keyboard Shortcut : Up
see also Go To Menu, Keyboard Shortcuts


Line Down

Line Down Command

The Line Down command moves one line down in the current calendar day. If necessary it scrolls the window so that the line is visible.

Default Keyboard Shortcut : Down
see also Go To Menu, Keyboard Shortcuts


Start of Day

Start of Day Command

The Start of Day command moves to the start of the currently selected calendar day.

Default Keyboard Shortcut : Ctrl+Home
see also Go To Menu, Keyboard Shortcuts


End of Day

End of Day Command

The End of Day command moves to the end of the currently selected calendar day.

Default Keyboard Shortcut : Ctrl+End
see also Go To Menu, Keyboard Shortcuts


Start of Paragraph

Start of Paragraph Command

The Start of Paragraph command moves to the start of the currently selected paragraph.

Default Keyboard Shortcut : Home
see also Go To Menu, Keyboard Shortcuts


End of Paragraph

End of Paragraph Command

The End of Paragraph command moves to the end of the current paragraph.

Default Keyboard Shortcut : End
see also Go To Menu, Keyboard Shortcuts


Start of Line

Start of Line Command

The Start of Line command moves to the start of the current line.

Default Keyboard Shortcut : Alt+Home
see also Go To Menu, Keyboard Shortcuts


End of Line

End of Line Command

The End of Line command moves to the end of the current line.

Default Keyboard Shortcut : Alt+End
see also Go To Menu, Keyboard Shortcuts


Font Menu

Command | Description
Properties | Set the font properties using the standard font dialog.
Calendar Default | Set the font to the calendar default.
Bold | Toggle the bold font style.
Italic | Toggle the italic font style.
Underline | Toggle the underline font style.
Plain | Clear the font style.
Decrease Font Size
Increase Font Size
Color Set the font color using the standard color dialog.


Set Font Properties

Set Font Properties Command

The Set Font Properties command displays the standard font dialog to set all font properties at once.
If a range of text is selected, the properties are applied to the range of text when okay is clicked.
If no range of text is selected, the properties are applied to the text entered immediately after the command is executed.

Default Keyboard Shortcut : Alt+F
see also Setting Font Properties, Font Menu, Keyboard Shortcuts, Creating Custom User Commands


Set Font Name

Set Font Name Command

The Set Font Name command is used with User Commands and on the Format Bar. It sets the font name to the string selected.
If a range of text is selected, the name is applied to the range of text.
If no range of text is selected, the name is applied to the text entered immediately after the command is executed.

see also Setting the Font Name, Creating Custom User Commands, Format Bar


Set Font Style

Set Font Style Command

The Set Font Style command is used with User Commands only. It sets the font style to the selected style.
If a range of text is selected, the style is applied to the range of text.
If no range of text is selected, the style is applied to the text entered immediately after the command is executed.

see also Changing the Font Style, Creating Custom User Commands


Set Font Size

Set Font Size Command

The Set Font Size command is used with User Commands and on the Format Bar. It sets the font size to value selected.
If a range of text is selected, the size is applied to the range of text.
If no range of text is selected, the size is applied to the text entered immediately after the command is executed.

see also Setting the Font Size, Creating Custom User Commands, Format Bar


Set Font to Calendar Default

Set Font to Calendar Default Command

The Set Font to Calendar Default command sets the font to the Calendar Default font. The Calendar Default font is the Display Font name and size when viewing the calendar on the screen. The Display Font name and size is set on the Display Page of the Options Dialog.
The Calendar Default font is the Printer Font name and size when printing. The Printer Font name and size is set on the Options page of the Print Dialog.
If a range of text is selected, the default font is applied to the range of text.
If no range of text is selected, the default font is applied to the text entered immediately after the command is executed.

Default Keyboard Shortcut : Alt+D
see also Setting the Font to the Calendar Default, Font Menu, Keyboard Shortcuts


Toggle Font Bold

Toggle Font Bold Command

The Toggle Font Bold command toggles the bold style.
If a range of text is selected, the result is applied to the range of text.
If no range of text is selected, the result is applied to the text entered immediately after the command is executed.

Default Keyboard Shortcut : Ctrl+B
see also Font Menu, Keyboard Shortcuts, Format Bar


Toggle Font Italic

Toggle Font Italic Command

The Toggle Font Italic command toggles the italic font style.
If a range of text is selected, the result is applied to the range of text.
If no range of text is selected, the result is applied to the text entered immediately after the command is executed.

Default Keyboard Shortcut : Ctrl+I
see also Font Menu, Keyboard Shortcuts, Format Bar


Toggle Font Underline

Toggle Font Underline Command

The Toggle Font Underline command toggles the underline style.
If a range of text is selected, the result is applied to the range of text.
If no range of text is selected, the result is applied to the text entered immediately after the command is executed.

Default Keyboard Shortcut : Ctrl+U
see also Font Menu, Keyboard Shortcuts, Format Bar


Set Font Style to Plain

Set Font Style to Plain Command

The Set Font Style to Plain command clears all font styles.
If a range of text is selected, the result is applied to the range of text.
If no range of text is selected, the result is applied to the text entered immediately after the command is executed.

Default Keyboard Shortcut : Ctrl+Space
see also Font Menu, Keyboard Shortcuts


Decrease Font Size

Decrease Font Size Command

The Decrease Font Size command decreases the font size.
If a range of text is selected, the result is applied to the range of text.
If no range of text is selected, the result is applied to the text entered immediately after the command is executed.

Default Keyboard Shortcut : - (Subtract)
see also Font Menu, Keyboard Shortcuts


Increase Font Size

Increase Font Size Command

The Increase Font Size command increases the font size.
If a range of text is selected, the result is applied to the range of text.
If no range of text is selected, the result is applied to the text entered immediately after the command is executed.

Default Keyboard Shortcut : + (Add)
see also Font Menu, Keyboard Shortcuts


Set Font Color

Set Font Color Command

The Set Font Color command displays the standard font color dialog.
If a range of text is selected, the result is applied to the range of text.
If no range of text is selected, the result is applied to the text entered immediately after the command is executed.

Default Keyboard Shortcut : Alt+C
see also Setting the Font Color, Font Menu, Keyboard Shortcuts


User Menu

The User Menu contains a list of ten possible User Commands. These commands are defined on the User Commands page of the Options Dialog.

see Creating Custom User Commands


User Commands 1-5

The User Commands 1-5 appear in the User Menu and on the Format Bar.
They are setup by the user on the User Commands page of the Options dialog.

see also Creating Custom User Commands, User Menu, Keyboard Shortcuts, Format Bar


User Commands510

User Commands 6-10

The User Commands 6-10 appear only in the User Menu.
They are setup by the user on the User Commands page of the Options dialog.

see also Creating Custom User Commands, User Menu, Keyboard Shortcuts


Options Menu

Command | Description
Appearance|Screen | Set the screen appearance
Appearance|Printer | Set the printer appearance
Appearance|Selected Date | Set the appearance for the currently selected day
Command | Set the keyboard shortcut, visibility and popup options for menu commands.
Display | Set the appearance of toolbars, taskbar notification and the display font.
User Command | Create a set of custom commands by combining the basic commands.
Default File | Set the default file
Reminders | Set the Reminders Options


Screen Appearance Command

The Screen Appearance command displays the Options Dialog starting with the Appearance page and Screen Tab.

see also Setting the Calendar Appearance, Options Menu


Printer Appearance Command

The Printer Appearance command displays the Options Dialog starting with the Appearance page and the Printer Tab.

see also Setting the Calendar Appearance, Options Menu


Selected Date Appearance Command

The Selected Date Appearance command displays the Options Dialog starting with the Appearance page, Screen Tab and Selected Date item .

see also Setting Selected Date Appearance, Options Menu


Command Options

Command Options Command

The Command Options command displays the Options Dialog starting with the Command Page.

see also Customizing the Command Interface, Options Menu


DisplayOptions

Display Options Command

The Display Options command displays the Options Dialog starting with the Display page. This page contains the default Display Font for the calendar, the Show Toolbar Hints option for the toolbar, the Taskbar Notification Icon option and the Main Toolbar Date Picker Type option.

If you are using a Windows compatible shell, check Taskbar Notification Icon to display an icon in the notification area of the taskbar for the default calendar file only. When taskbar notification icon is enabled, closing the application hides the application instead of exiting it. Click the taskbar notification icon to display the application again. Use the Exit command to exit the application.

When Taskbar Notification Icon is enabled, the Startup Minimized option is available for the default calendar file. Check this option to display only the taskbar notification icon when the program first starts, without displaying the calendar.

see also Selecting the Display Font, Options Menu


User Command Options

User Command Options Command

The User Command Options command displays the Options Dialog starting with the User Command page. You can create your own commands and put five of them on the Format Bar.

see also Creating Custom User Commands, Options Menu


Default File Options Command

The Default File Options command displays the Options Dialog starting with the Default File page.
The default file is the file opened if no command line argument is made. It is also the file which applies to the taskbar notification icon.
You can select My Documents, Old Version Default or Use Defined Default file.
From version 3.2 on the default file was moved from the application folder to My Documents for better compability with operating systems and better likelyhood of backups being created.


Reminder Options Command

Choose the desired reminder order. Reminders with time first or vice versa.
There are two notification sounds. A reminder with notification can play either of the two sound or be silent.

Notification Sound Option
Option | Description
No Sound | Doesn't play a sound on notification
Default Sound | Plays the MIDI file warning.mid on notification
User Selected Sound | The Select button appears, click it to choose a .wav (windows digital audio) or .mid file ( MIDI) which will be played on notification. If the "Media Control Interface" can play mp3s on your system, you can also use mp3s.
Beep | System call which makes a sound. May work without a sound card or when other options don't work.

see Important Note below

Lastly choose whether to enable renotification and if so what time interval.

Important Note:
The reminder notification sound opens and plays the default or selected sound file at a high level thru the "Media Control Interface", therefore the media control interface must be configured to play the desired sound file. The default file is a MIDI file, but you can select a .wav or another .mid file or possible an mp3 file.
You will not here a sound if:
  • Your computer is not configured to play the selected sound.
  • Volume is muted or too low on your computer.
  • Volume for the type of sound you are playing is muted or too low on your computer.
  • The device used to play the type of of sound you selected is busy playing the sounds of another program.


Help Menu

Command | Description
Help Topics | Display the Help Finder dialog box.
How to Use Help | Display the windows how to use help topic.
Check for Update | Checks for and update and installs it if it's available
Register | Register Easy Calendar.
About | Display program version information.


Help Topics

Help Topics Command

The Help Topics command displays the help finder dialog box which contains table of contents, index and search pages.

see also Help Menu


CommandHowtoUseHelp

How to Use Help Command

The How to Use Help command displays the windows how to use help topic.

see also How to Use Help, Help Menu


Check for Update Command

The Check for Update command checks the Hammer Software Unlimited website for a program update and if one is available, guides you thru the installation process.

see also Help Menu


Register

Register Command

The Register command displays the register dialog.

see also Registration, Help Menu


Help About

Help About Command

The Help About command displays the program version information.

see also Help Menu


Keyboard Shortcuts

Default Keyboard Shortcuts

The keyboard shortcuts can be customized. Here is a list of the defaults.
Command | Default Shortcut
New | Ctrl+N
Open | Ctrl+O
Save As | Ctrl+S
Print | Ctrl+P
Undo | Ctrl+Z
Cut | Ctrl+X
Copy | Ctrl+C
Paste | Ctrl+V
Delete | Del
Backspace | BkSp
Select All | Ctrl+A
Select Paragraph | Alt+P
Select Line | Ctrl+L
Repeat Weekly | Alt+W
Repeat Biweekly | Alt+B
Repeat Monthly | Alt+M
Repeat Yearly | Alt+Y
Repeat Again | Alt+A
New Reminder | Alt+R
Reminder Properties | Ctrl+E
Execute Find Dialog | Ctrl+F
Find Again | F3
Execute Replace Dialog | Ctrl+R
Replace Again | F4
Toggle Month <-> Day | F5
View Month | Ctrl+M
View Week | Ctrl+W
View Day | Ctrl+D
Today | Ctrl+Alt+Home
Previous Day | Shift+Tab
Next Day | Tab
Previous Month | PgUp
Next Month | PgDn
Previous Year | Shift+PgUp
Next Year | Shift+PgDn
Character Left | Left
Character Right | Right
Line Up | Up
Line Down | Down
Start of Day | Ctrl+Home
End of Day | Ctrl+End
Start of Paragraph | Home
End of Paragraph | End
Start of Line | Alt+Home
End of Line | Alt+End
Set Font Properties | Alt+F
Set Font to Calendar Default | Alt+D
Toggle Font Bold | Ctrl+B
Toggle Font Italic | Ctrl+I
Toggle Font Underline | Ctrl+U
Set Font Style to Plain | Ctrl+Space
Decrease Font Size | - (Subtract)
Increase Font Size | + (Add)
Set Font Color | Alt+C
User Command 1 | Ctrl+F1
  1. Ctrl+F2
  2. Ctrl+F3
  3. Ctrl+F4
  4. Ctrl+F5
User Command 6 Ctrl+F6
  1. Ctrl+F7
  2. Ctrl+F8
  3. Ctrl+F9
  4. Ctrl+F10


The Main Toolbar

Click on the graphic above to receive help.
You can hide or show the main toolbar with the View Toolbar Command. The Display Page of the the Options Dialog has an option to show hints when the mouse pointer is over the toolbar.

see also Display Options Command


The Format Bar

Click the graphic above to receive help on the format bar.
To view the format bar issue the View Format Bar Command.
The format bar reflects the state of current font. The current font is at the caret location when no range of text is selected. It is from the starting location when a range of text is selected.
Select a range of text before the font commands to change the font for a range of text.
Position the caret at the insertion point with no text selected to set the font for the text about to be entered.


The Preview Toolbar

Click the graphic above for more help.
The preview is not very good. However, it will show how your text will line up in the final printout.


Backups

It is a good idea to make a backup once you have a significant amount of data in the calendar. Just use the Save As command to save it to a removable backup media.

Or copy the .ec2, .rm2 and Archive.rm2 files to the backup media.


If there's an error

Don't use the Save command from the file menu, it will pack the file and wipe out any data which could be recovered. Exit the calendar immediately, using the Exit command.

Try restarting the computer.
When you open the file, if the a corrupt file index is detected, a dialog box will appear and you can choose to rebuild the index from the data in the file. This should recover the calendar except for the very lastest data entries.

If it still won't work email

hammer@hammersoftware.net

for support.


Canteditthecalendar

Calendar is Read Only

If Read Only is displayed in the title bar, someone else probably has this calendar open for reading and writing. If you are the only user, try restarting the computer.


Networking

The calendar is shareable. The first application to open the calendar for writing can read and write.
Subsequent applications open the calendar for read only.
Make sure that all the computers on the network run the same/latest version of Easy Calendar.


Reminder Properties Dialog

Access the Reminder Properties dialog with the New Reminder and Edit Reminder Properties commands.
The Reminder Properties dialog has four main pages. The Properties and Recurring pages are hidden when the dialog is accessed with the Hammer Reminders US Holidays and Options commands.

Page | Descripton
Properties | Properties other than the recurring properties
Recurring | Recurring properties of the reminder.
US Holidays | A selection of US holidays.
Options | Options which affect reminders in general rather than a specific reminder.

When the reminder dialog is displayed from Easy Calendar, the Edit Table button appears. Clicking it will cancel changes and open the associated reminder file in Hammer Reminders.


PropertiesPage

Properties Page (Reminder Properties Dialog)

There are four states of the properties page. These states determine which reminder instance(s) the property changes are applied to and whether the Standardize and Customize buttons are available.
State | Description
New | Properties apply to all the instances of the new reminder.
Standard instance | Properties apply to all the standard instances of the reminder. The Customize button is available when appropriate.
Custom instance - Custom tab | Properties apply only to the custom instance of the reminder specified by the instance date. The Standardize button is available.
Custom instance - Standard tab | Properties apply to all the standard instances of the reminder.

Property | Description
Description | The reminder description
Font | For Easy Calendar only.
Color | For Easy Calendar only.
----------------
Date | Starting date for new reminders.
or Instance Date | Custom reminder instance - Custom tab and Standard reminder instance
or Recurring Description | Custom reminder instance - Standard tab
-----------------
Starting Time | Used to sort the reminders and for notification. see Using the Time Edit Box
Ending Time | Not used at this time.
Order Priority | Used for sorting reminders at the same date and time. Lower priority reminders before higher priority reminders.
Hidden | Optionally hidden in Hammer Reminders, always hidden in Easy Calendar. Used with custom instances for virtual instance delete.
Show Pending | Keep a reminder visible in Current and Today's views even after it has expired.
Notify Enabled | Enables notification for a reminder.
days, hours, minutes
before starting time | Amount before the starting time for a reminder to apply to notification.
Notification Time | Instead of time before enter the time and date for notifiction.
Notification Date | Instead of time before enter the time and date for notifiction.
Silent | Check Silent for silent notification.
  1. Choose which sound to use for notification.


RecurringPage

Recurring Page (Reminder Properties Dialog)

Property | Description
Starting | Starting date for a reminder
Every | The frequency for the reminder. See Recurring Reminders
Weekday checkboxes | Only if Every Week
Connected checkbox | Only if Every Day along with several other requirements. See Connected Reminders
Always checkbox | When checked the reminder always recurs
Until Date | Ending Date for a reminder
Until Count | The number of times the reminder recurs

The number of custom and hidden instances displayed at the bottom of the page.


USHolidays

US Holidays (Reminder Properties Dialog)

A small selection of US holidays can be automatically configured by the program. All legal public US federal holidays have been included along with a few popular secular holidays found in a can of worms. The US holidays are reminders which can have their properties edited like other reminders. If a US holiday reminder is being edited, the check box for that particular holiday on this page has no effect.

The Federal checkbox on the Recurring tab of the Reminder Properties dialog box indicates special federal rules apply to the holiday.

Federal Property
Every | Description
Year | Saturday is moved to Friday and Sunday to Monday
Year Relative | First Tuesday in November moved to second Tuesday if it falls on the first day of the month. (only intended for Election Day)
Years | Sunday is moved to Monday (only intended for Inauguration Day)


OptionsPage

Options Page (Reminder Properties Dialog)

Reminder Order - Select whether reminders without time are sorted before reminders with time or vice versa.

Notification Sound - Choose the desired notification sound. Click and
hold down the Test button to determine if your notification sound is working,

Renotification - Choose to enable it or not. If enabled set the interval between renotifications in minutes.

see also Reminders Order, Reminder Notification


Options Dialog

Page | Descripton
Screen Appearance | Set the Screen & Printer Appearence
Printer Appearance | Set the Screen & Printer Appearance
Selected Date Appearance | Set the Appearance for the current day.
Commands | Customize the command's keyboard shortcuts, visibility and whether the appear in the popup menu.
Display | Set the font, toolbar and toolbar date appearance and choose whether to startup minimized.
User Commands | Create custom user commands consisting of multiple basic commands.
Default File | Select the default file.
Reminders | Set a number of reminders options many of which relate to notification.
 | Properties other than the recurring properties
Recurring | Recurring properties of the reminder.
US Holidays | A selection of US holidays.
Options | Options which affect reminders in general rather than a specific reminder.


AppearancePages

Appearance Pages (Options Dialog)

Set the desired appearance on these pages.
The appearance is divided into differenct categories of date, such as days outside month, etc.
The border, background color, font, font size, font effects, font color, and a few other options are available.

see Setting the Calendar Appearance and Setting Selected Date Appearance


CommandPage

Command Page (Options Dialog)

Customize keyboard shortcut, visibility and whether a command appears in the popup menu.

see Customizing the Command Interface


DisplayPage

Display Page (Options Dialog)

If you are using a Windows compatible shell, check Taskbar Notification Icon to display an icon in the notification area of the taskbar for the default calendar file only. When taskbar notification icon is enabled, closing the application hides the application instead of exiting it. Click the taskbar notification icon to display the application again. Use the Exit command to exit the application.

When Taskbar Notification Icon is enabled, the Startup Minimized option is available for the default calendar file. Check this option to display only the taskbar notification icon when the program first starts, without displaying the calendar.

see also Selecting the Display Font, Options Menu


UserCommandsPage

User Commands Page (Options Dialog)

Create custom user commands consisting of an ordered series of basic commands. Ten appear on the menu and five appear on the toolbar.

see Creating Custom User Commands


RemindersPage

Reminders Page (Options Dialog)

The Reminders Page of the Options Dialog is the same as the Options Page of the Reminder Properties Dialog.


Command Dialog

The command dialog is used to set up the individual commands for a user command. In most cases, just select a command and click okay.
Some font commands require you to enter a parameter.
The Font Properties and Font Color commands allow you to choose to enter the parameters in advance or display the dialog when the user command is executed.

see Creating Custom User Commands


CommandFormButton1

 Click this button to view or select the font properties when Select Font is selected above.


CommandFormColorButton1

 Select the font color to be used with the user command. Click the left side of the button to use the standard color dialog. Click the arrow on the right side of the button to select from a menu of system colors.


CommandFormComboBox1

 Select the command type to filter a subset of commands and display them in the list of commands at the left side of the dialog.


CommandFormEdit1

 Displays the currently selected command.


CommandFormFontName

 Select the desired font name.


CommandFormGroupBox1

 Select the desired font style by checking or clearing styles.


CommandFormListBox1

 Select the desired command to add or edit from this list.


CommandFormRadioGroup1

 Select Prompt for Color to display the color dialog when the command is executed within a user command.
Click Use Selected Color to select the color now using the color button below.


CommandFormRadioGroup2

 Select Prompt for Font to display the font dialog when the command is executed within a user command.
Click Select Font to select the font properties now by clicking the font button below.


CommandFormSizeSpinner1

 Enter or select the desired font size.


How to Use Help

Press the F1 key for context sensitive help in most situations. Some dialog boxes have a ? in the upper right you can click, then click some control and if help is available it will popup. Some dialog boxes have a Help button you can click for context sensitive help.


Topics for Appearance

Setting the Calendar Appearance
Setting Selected Date Appearance


Topics for Calendar

Backing up the Calendar


Topics for Edit Commands

Backspace Command
Copy Command
Cut Command
Delete Command
Edit Menu
New Reminder Command
Paste Command
Edit Reminder Properties Command
Repeat Again Command
Repeat Biweekly Command
Repeat Month Relative Command
Repeat Monthly Command
Repeat Weekly Command
Repeat Year Relative Command
Repeat Yearly Command
Select All Command
Select Line Command
Select Paragraph Command
Select Word Command
Undo Command


Topics for File Commands

Exit Command
Export to HTML Command
File Menu
New Command
Open Command
Print Command
Print Setup Command
Refresh Command
Reopen Default Calendar Command
Save Command
Save As Command


Topics for Files

Backups


Topics for Font Commands

Decrease Font Size Command
Font Menu
Increase Font Size Command
Set Font Color Command
Set Font Name Command
Set Font Properties Command
Set Font Size Command
Set Font Style Command
Set Font Style to Plain Command
Set Font to Calendar Default Command
Toggle Font Bold Command
Toggle Font Italic Command
Toggle Font Underline Command


Topics for Fonts

Setting the Font Color
Setting the Font to the Calendar Default
Selecting the Display Font
Setting the Font Name
Fonts
Setting Font Properties
Setting the Font Size
Changing the Font Style


Topics for Go To Commands

Character Left Command
Character Right Command
End of Day Command
End of Line Command
End of Paragraph Command
Go To Menu
Line Down Command
Line Up Command
Next Day Command
Next Month Command
Next Year Command
Previous Day Command
Previous Month Command
Previous Year Command
Start of Day Command
Start of Line Command
Start of Paragraph Command
Today Command


Topics for Help

How to Use Help


Topics for Help Commands

Help About Command
Help Menu
Help Topics Command
How to Use Help Command
Register Command


Topics for Options Commands

Command Options Command
Display Options Command
Options Menu
Printer Appearance Command
Screen Appearance Command
Selected Date Appearance Command
User Command Options Command


Topics for Reminder Properties

Reminder Properties Dialog
Options Page
Properties Page
Recurring Page
US Holidays Page


Topics for Reminders

Connected Reminders
Creating a New Reminder
Custom Instances
Editing Reminder Properties (in the calendar)
Reminder Hierarchy
Reminders
Editing Reminder Properties (using a dialog)


Topics for Search Commands

Execute Find Dialog Command
Execute Replace Dialog Command
Find Again Command
Replace Again Command
Search Menu


Topics for Text

Editing the Calendar
Repeating Text in the Calendar
Selecting a Range of Text


Topics for Toolbars

The Format Bar
The Main Toolbar
The Preview Toolbar


Topics for Troubleshooting

Calendar is Read Only


Topics for User Commands

Creating Custom User Commands
User Commands 1-5
User Commands 5-10
User Menu


Topics for View Commands

Toggle Month <-> Day Command
View Day Command
View Format Bar Command
View Menu
View Month Command
View Reminders Command
View Scrollbar Command
View Toolbar Command
View Week Command


OpeningVersion1CalendarFiles

 Opening Version 1 Calendar Files
Issue the Open Command.
Near the bottom of the standard open file dialog is a drop down list labelled Files of type which defaults to Easy Calendar Files. Select Old Easy Calendar Files from the list.
Select the Version 1 file you wish to open. When you open the Version 1 file, it is converted to a Version 2 by the program. The new file has the extension .ec2, the extension of Version 2 files.


OptionsDlgAddButton

 Click this button to add a basic command to the current user command.


OptionsDlgBevelBox

 Select the desired border type: None, Bevel In, Bevel Out or Single. The border type applies to the currently selected item type.


OptionsDlgBoldButton

 Select or deselect the Bold font style for the current appearance item.


OptionsDlgCalControl1

 Displays how the calendar would appear if the current settings were accepted.
Select different parts of the calendar to set their appearance using the controls below.


OptionsDlgCancelButton

 Click the Cancel button to reject the changes and exit the Dialog.


OptionsDlgColorButton1

 Select the background color for the current item appearance. Click the left side of the button to use the standard color dialog. Click the arrow on the right side of the button to select from a menu of system colors.


OptionsDlgColorButton2

 Select the font color for the current appearance item. Click the left side of the button to use the standard color dialog. Click the arrow on the right side of the button to select from a menu of system colors.


OptionsDlgDeleteButton

 Click this button to delete the currently selected basic command.


OptionsDlgDisplayFontBox

 Select the font to be used for Easy Calendar controls and the Calendar Default font for display.


OptionsDlgEdit2

 Displays the currently selected command. Use the list below to select a command to edit the keyboard shortcut, main menu visibility or add/remove it from the context sensitive popup menu for the calendar window.


OptionsDlgEditButton

 Click this button to edit the currently selected basic command.


OptionsDlgEditDescription

 Enter a description for the current user command.


OptionsDlgFlatBox

 Check this box to give standard toolbar buttons a flat appearance. Clear this box to give standard toolbar buttons a raised appearance.


OptionsDlgFontBox

 Select the desired font face for the current appearance item.


OptionsDlgHelpButton

 Click the Help button to display additional help on this dialog.


OptionsDlgHiddenBox

 Check this box to hide the currently selected command in the main menu. Clear this box to show the currently selected command in the main menu.


OptionsDlgHintsBox

 Check this box to display hints over most toolbar controls when the mouse pointer is moved over them. Clear this box to disable hints over toolbar controls.


OptionsDlgHotKey1

 Select this window to capture a new keyboard shortcut for the currently selected command. Once this window is selected, any key combinations entered becomes the new keyboard shortcut for the currently selected command except Esc. Press Esc to suspend the keyboard capture and Tab out of the window.


OptionsDlgItalicButton

 Select or deselect the Italic font style for the current appearance item.


OptionsDlgItemBox

 Select an item type to modify its appearance with the adjacent controls.


OptionsDlgListBox1

 A list of basic commands in the current user command in execution order. Select a basic command from the list to edit or arrange it using the buttons to the right.


OptionsDlgListView1

 Select the command to edit from this list of commands and their keyboard shortcut, main menu visibility and popup menu status.


OptionsDlgLoadAppBtn

 Load the appearance from a file.


OptionsDlgLoadButton

 Click this button to load the command configuration from a file. The default.ecc file contains the original command configuration.


OptionsDlgMoveDownButton

 Click this button to move the currently selected basic command down one command in execution order.


OptionsDlgMoveUpButton

 Click this button to move the currently selected basic command up one command in execution order.


OptionsDlgOKBtn

 Click the Ok button to accept the changes and exit the Dialog.


OptionsDlgOmitBox

 Do not use this appearance item type in the appearance scheme. Revert to the Before or after day appearance instead.


OptionsDlgPageControl1

 Select the desired Options dialog box page by clicking these labelled tabs


OptionsDlgPopupBox

 Check this box to include the currently selected command in the context sensitive popup menu which appears when the right mouse button is clicked in the calendar.
Clear this box to exclude it from the popup menu.


OptionsDlgReportButton

 Click this button to create a report of the command configuration.


OptionsDlgSaveAppBtn

 Save the appearance to a file.


OptionsDlgSaveButton

 Click this button to save the command configuration to a file.


OptionsDlgScreenButton

 Load the printer appearance from the current screen appearance.


OptionsDlgSizeSpinner1

 Select the font size to be used for Easy Calendar controls and the Calendar Default font for display.


OptionsDlgSizeSpinner2

 Set the font size for the currently selected appearance item.


OptionsDlgTabControl1

 Select the Screen tab to set the appearance of the calendar when it is displayed on your computer.
Select the Printer tab to set the appearance of the calendar when it is printed.


OptionsDlgTabControl2

 Select a number for the user command to create. The first five appear as buttons in the Format toobar as well as the User Menu.


OptionsDlgTabSheet1

 Select the Appearance page of the options dialog to set the appearance of the calendar for display or printing purposes.


OptionsDlgTabSheet2

 The Commands page controls the keyboard shortcut visibility on the main menu and the popup menu.


OptionsDlgTabSheet3

 The Display page contains commands for controlling the display of toolbars and the Display Font.


OptionsDlgTabSheet4

 The User Commands page allows the user to create ten custom user commands, the first five are also buttons in the format toolbar.


OptionsDlgUnderlineButton

 Select this button to Underline the font for the current item appearance type.


OptionsDlgWholeDayBox

 Apply the Border type and Background color to the entire day for the current item type when checked. Otherwise apply it only to the upper part of the day which contains the day number.


pbold

 Bold status and toggle bold style button.
see also Toggle Font Bold Command


pcurrentday

 The currently selected calendar day has a focus rectangle (dotted line) around it and a flashing caret (vertical bar) at the position where text will be inserted.
see also Editing the Calendar


pday

 Select the day mode to view the current day maximized.
see also View Day Command


pdaydisplay

 The currently selected day number is displayed in this window.


pdefaultcommand

 Click this button to revert to the default command shortcuts and menu options.


pdownames

 Names or abbreviations for the days of the week.


pdptype

 Choose Drop Down Calendar if you want a drop down calendar. Choose Up/Down Arrow Buttons if you want up/down arrow buttons.


pfcancel

 Click Cancel to close the dialog box without taking any further action.


pfffindwhat

 Enter the text you want to find.


pffindnext

 Click this button to search for the text in the Find What box.


pfind

 Click this button to display the standard find dialog and find text in the calendar.
see also Execute Find Dialog Command


pfmatchcase

 Check this box to match the text exactly.


pfmatchwhole

 Check this box to search for the whole word rather than finding the text inside of words.


pfontcolorb

 Indicates the current font color. Click the left side to change colors with the standard color dialog. Click the right side to select from the windows color scheme.


pfontlist

 Displays the current selected font name. Change the font face by clicking the list to drop it down and selecting a new font name.
see also Setting the Font Name, Set Font Name Command


pfontsize

 Reflects the current font size. Change the font size using the arrow keys or buttons.


pfreplace

 Click this button to replace currently selected text which matches the text in Find What box with the text (if any) found in the Replace with box.


pfreplacewith

 Enter the text which will be used to replace the text in the Find What box.


pfskipremind

 Check this box to skip over reminder text during the search.


pfupdown

 Check Down to search from the current location forward (down in direction and dates in the future relative to the currently selected date). Check Up to search from the current location backwards (up in direction and dates in the past relative to the currently selected date).


pitalic

 Italic status and toggle italic style button.
see also Toggle Font Italic Command


pmidi

 Musical Instrument Digital Interface - simply put - instruments and notes rather than digital audio


pmonth

 Click the button to display the days of the calendar sized equally.
see also View Month Command


pmonthlist

 Click this drop down list to go to a selected month.


pnewfile

 Create a new empty calendar.
see also New Command


pnextday

 Click the down arrow to go to the next day.
see also Next Day Command


pnextmonth

 Click this button to go to the next month.
see also Next Month Command


pnextyear

 Click the down arrow to go to the next year.
see also Next Year Command


popenfile

 Open a calendar.
see Open Command


potherdays

 Click any day to enter text into it.
see also Navigating in the Calendar, Editing the Calendar


pprevday

 Click the up arrow to go to the previous day.
see also Previous Day Command


pprevmonth

 Click this button to go to the previous month.
see also Previous Month Command


pprevyear

 Click the up arrow to go to the previous year.
see also Previous Year Command


pprint

 Click this button to display the Print dialog when you want to print or preview the calendar.
see also Print Command, Printing the Calendar


pre100

 Show the preview page at 100% resolution.


preclose

 Close the preview.


prefirst

 Display the first preview page.


prefit

 Zoom in to display the entire page on the screen.


prelast

 Display the last preview page.


prembtn

 When the currently selected text is a reminder, the button is down and clicking it executes the Edit Reminder Properties command.
When the currently selected text is not a reminder the button is up and clicking it executes the New Reminder command


prenext

 Display the next preview page.


prepeatagain

 Click this button to execute the last repeat operation again.
see also Repeat Again Command.


preprev

 Display the previous preview page.


preprint

 Print the preview.


presetup

 Return to the print dialog to set options for the printout.


prewidth

 Zoom in to display the width of the page on the screen.


PrintFormBlankCalendarBox

 Click this box to print a blank calendar.


PrintFormBlankDaysOutsideBox

 Check this box to blank the days outside the current month in the printout.


PrintFormbm

 Enter the bottom margin in inches.


PrintFormBorderColor

 Select the border color for the printed calendar. Click the left side of the button to use the standard color dialog. Click the arrow on the right side of the button to select from a menu of system colors.


PrintFormButton1

 Click this button to accept the changes and preview the printout.


PrintFormButton4

 Click this button to change the printer and/or setup printer specific options for the printout.


PrintFormButton5

 Set all margins to their minimum values for the current printer.


PrintFormButton6

 Click this button to change the appearance of the printout.


PrintFormButton7

 Click this button to clear the heading. No heading will be displayed at the top of the printout.


PrintFormCopiesSpinner

 Enter or select the number of copies desired.


PrintFormFromPicker

 Enter or select the From date for the calendar printout. For month type printouts the From date should fall within the starting month. For week type printouts the From date should fall within the starting week.


PrintFormHeadingEdit

 Enter a heading to be displayed at the top of the printout.


PrintFormlm

 Enter the left margin in inches


PrintFormPageControl1

 Click the tabs to display the corresponding page of print controls.


PrintFormPrintEdit

 Displays the currently selected printer.


PrintFormPrinterFontBox

 Select the font face to be used as the Calendar Default font for printing.


PrintFormPrinterFontSize

 Select the font size to be used as the Calendar Default font for printing.


PrintFormRadioGroup1

 Select the type of printout desired: Month, Week or Day.


PrintFormRadioGroup2

 Select the desired printout orientation. Portrait is normal Landscape is sideways.


PrintFormrm

 Enter the right margin in inches.


PrintFormTabSheet1

 The controls on the Job page control the print job.


PrintFormTabSheet2

 A page of print options.


PrintFormTabSheet3

 The Page page contains the page layout options.


PrintFormtm

 Enter the top margin in inches.


PrintFormToPicker

 Enter or select the To date for the calendar printout. For month type printouts the To date should fall within the ending month. For week type printouts the To date should fall within the ending week.


psavefile

 Backup the calendar or save it in a different folder and/or with a differ filename.
see also Backing up the Calendar, Save As Command


psconrem

 Example of a connected reminder
see Connected Reminders


psrecrem

 Example of a recurring reminder
see Recurring Reminder


pstartminimized

 When using taskbar notification for the default calendar, you can start the program minimized (without displaying the calendar) by checking this option.


psushol

 Example of an US Holiday
see US Holidays


ptbdatesel

 Current date select/display - Select the part of the date you want to change and use up/down keys, buttons or enter numbers.


ptbnotifyicon

 If you are using a Windows compatible shell, check Taskbar Notification Icon to display an icon in the notification area of the taskbar for the default calendar file only. When taskbar notification icon is enabled, closing the application hides the application instead of exiting it. Click the taskbar notification icon to display the application again. Use the Exit command to exit the application.


pttdisplay

 Indicates whether the currently selected font is a true type font.


punderline

 Underline


punderlineb

 Underline status and toggle underline style button.
see also Toggle Font Bold Command


puserbuttons

 These 5 buttons execute the first five user commands.


pweek

 Click this button to display the current week with its height maximized.
see also View Week Command


pyeardisplay

 The currently selected year is displayed in this window.


rdedittable

 Click this button to run Hammer Reminders with the reminders file associated with the current calendar.


Recurring Reminders

All reminders have a starting date and frequency (Every property).
Reminders either do not recur, always recur or have an ending date.
The recurring properties of a reminder are found on the Recurring page of the Reminder Properties dialog box. The starting date is specified using the Starting Date selector. Reminders which always recur should have the Always box checked. Otherwise either select an ending date in the Until group or specify a repeat count.
The frequency of recurring reminders is selected with the Every drop down list box, the choices are:
Every | Description
None | Does not recur
Year | Every year
Month | Every month
Week | Every week, option to select days of the week
Day | Every day, may be connected in Easy Calendar
Years | Some multiple of years
Months | Some multiple of months
Weeks | Some multiple of weeks
Days | Some multiple of days
 | Three relative frequency types are spelled out in the selection box when they are available:
Year Relative | The same day of week number and month counted from the start of the month. For example, the Supreme Court meets in the first Monday in October
Month Relative | The same day of week number counted from the start of the month. For example, the club meets on the second Tuesday of the Month.
Year Relative Last | The same day of the week in last week of the month. For example, Memorial Day is the last Monday in May.


Registration

To register by credit card on the internet go to the Easy Calendar Home page and follow the link there:

http://www.hammersoftware.net/calendar.html

Registration is required for users who wish to continue to use the program after the evaluation period has expired.

For Help Uninstalling click here.

  • Registration entitles you and the members of your household to unlimited legal personal use of the program and its upgrades. You will receive a registration code by mail which will disable the shareware notices. Please include your internet email address for faster notification. Business are required to purchase a license for each computer. Contact Hammer Software Unlimited for multiple license rates.
  • Program support via internet email : hammer@hammersoftware.net
  • Free program updates via the Check for Updates command

Registering your Easy Calendar is a two step process.

1. Purchasing a registration code:

Send $20 US dollars by personal check or money order to:

Easy Calendar
Hammer Software Unlimited
POB 2314
Claremore, OK 74018

2. Entering the registration code:

  • Select the Register button on the notice which appears when the program starts.
  • Select the Name field and enter the name exactly as it appears on the registration notification you received.
  • Select the Registration code field and enter the registration code exactly as is appears on the registration notification you received.
  • Select the Okay button.

If you are successful, the next time you start the program the notice will not appear. Otherwise, try again a time or two before sending an email for support.


Reminder Options Page


SelectingtheAdvancedUserInterface

 Selecting the Advanced User Interface
Check the Advanced User Interface item in the Options Menu.

The advanced user interface consists of the Font commands, Format Bar, Appearance Options, Commands Options, User Commands Options and Reminders.

When Advanced User Interface is unchecked, The Font Menu, Format Bar, Appearance Options, Commands Options, User Commands Options and Reminders are hidden.


Toggle Advanced User Interface

 Toggle Advanced User Interface Command
The Toggle Advanced User Interface command alternately selects and deselects the the "advanced" user interface. The advanced user interface consists of the Font commands, Format Bar, Appearance Options, Commands Options, User Commands Options and Reminders.

see also Selecting the Advanced User Interface,
Options Menu


uninstall

Uninstalling Programs

  1. Close the Programs.
  2. Click the Start button.
  3. Move the Mouse pointer over Settings.
  4. Click Control Panel.
  5. Double-click Add/Remove Programs.
  6. Select a Program to Uninstall.
  7. Click the Add/Remove button.
  8. Repeat steps 6 and 7 as needed